Get Employee Details
curl --request GET \
--url https://{env}.tartanhq.com/api/employee_details/{id} \
--header 'username: <api-key>'import requests
url = "https://{env}.tartanhq.com/api/employee_details/{id}"
headers = {"username": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {username: '<api-key>'}};
fetch('https://{env}.tartanhq.com/api/employee_details/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "f6e80421-3901-4132-85c0-7bcdc1236ce9",
"message": "success",
"data": {
"id": "7",
"employeeId": "5",
"name": "Manas Mallik",
"email": "manas@tartanhq.com",
"personalEmail": "manas.mallik@gmail.com",
"doj": "2021-06-01",
"dob": "1983-06-08",
"status": "Active",
"employmentType": "Permanent",
"gender": "Male",
"pan": "************",
"aadhar": "************",
"uan": "************",
"mobileNumber": "************",
"maritalStatus": "Married",
"nationality": "Indian",
"fatherName": "Ritesh Mallik",
"bloodGroup": "AB +ve",
"designation": "NOT AVAILABLE",
"department": "Engineering",
"grade": "D-3",
"groupName": "NOT AVAILABLE",
"costCenter": "NOT AVAILABLE",
"companyName": "NOT AVAILABLE",
"terminationDate": "",
"manager": "Meet Semlani",
"managerEmail": "NOT AVAILABLE",
"managerEmail2": "NOT AVAILABLE",
"managerEmail3": "NOT AVAILABLE",
"managerEmail4": "NOT AVAILABLE",
"managerEmail5": "NOT AVAILABLE",
"countryCode": "IN",
"bankDetails": {
"accountNumber": "************",
"ifscCode": "************",
"bankName": "SBI"
},
"currentAddress": {
"addressPincode": "560080",
"addressCity": "Banglore",
"addressCountry": "India",
"addressState": "Karnataka",
"addressLine": "Sadashiva Nagar Armane Nagar"
},
"permanentAddress": {
"addressPincode": "226001",
"addressCity": "Luknow",
"addressCountry": "India",
"addressState": "Uttar Pradesh",
"addressLine": "Yarana Nagar Luknow"
},
"jobLocation": {
"pincode": "NOT AVAILABLE",
"city": "NOT AVAILABLE"
},
"employeeMetadata": {
"marriageDate": "NOT AVAILABLE"
},
"dependentDetails": [
{
"name": "Sohan Negi",
"relation": "Father",
"dob": "NOT AVAILABLE",
"email": "NOT AVAILABLE",
"gender": "NOT AVAILABLE",
"mobileNumber": "NOT AVAILABLE",
"profession": "NOT AVAILABLE"
}
],
"salaryDetails": {
"ctc": {
"basic": 50000,
"dearnessAllowance": 9000.9,
"hra": 25000.5,
"gratuity": 2000.7,
"medicalAllowance": 2000.7,
"travelAllowance": 2000.7,
"specialAllowance": null,
"otherAllowance": null,
"flexiBasketAllowance": null,
"grossPay": null,
"taxRegime": null,
"fixedPay": null,
"bonus": {
"joining": 80000,
"referral": null,
"retention": null,
"performance": null,
"relocation": null,
"misc": null
},
"deductions": {
"pf": 1800,
"esi": null,
"professionalTax": null,
"labourWelfareFund": null,
"misc": null,
"nps": null
}
},
"monthly": {
"month": 2,
"year": 2025,
"basic": null,
"dearnessAllowance": null,
"hra": null,
"medicalAllowance": null,
"travelAllowance": null,
"specialAllowance": null,
"flexiBasketAllowance": null,
"gratuity": 1600,
"otherAllowance": null,
"taxRegime": null,
"fixedPay": null,
"grossPay": null,
"bonus": {
"joining": 20000,
"referral": null,
"retention": null,
"performance": null,
"relocation": 28907.17,
"misc": null
},
"deductions": {
"pf": null,
"esi": null,
"professionalTax": 300,
"labourWelfareFund": null,
"tds": null,
"medicalClaimDeduction": null,
"groupTermInsuranceDeductions": null,
"earlyWageDeduction": null,
"misc": 162023.24,
"nps": 1234.34
},
"reimbursements": 93321.33
}
}
}
}{
"requestId": "6899af7d-a9cb-48cb-9875-c848932407a1",
"message": "Invalid Organisation ID",
"data": null
}{
"requestId": "96783506-9a1c-4af2-a74f-8ac6a41ca82d",
"message": "Invalid token.",
"data": null
}{
"message": "Source Permission denied",
"data": {}
}{
"requestId": "be2915d5-fc30-4d13-bcca-3d62aefac2a0",
"message": "Internal Server Error",
"data": null
}Internal
Get Employee Details
Returns detailed information for a specific employee.
GET
/
api
/
employee_details
/
{id}
Get Employee Details
For field enums, refer the employee directory page.
Authorizations
Path Parameters
Unique identifier of the employee.
Query Parameters
The organization identifier.
The vendor organization identifier.
Data source (e.g., db, hrms).
⌘I

